http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}<p>Returns session information for a specified bot, alias, and user.</p> <p>For example, you can use this operation to retrieve session information for a user that has left a long-running session in use.</p> <p>If the bot, alias, or session identifier doesn't exist, Amazon Lex V2 returns a <code>BadRequestException</code>. If the locale doesn't exist or is not enabled for the alias, you receive a <code>BadRequestException</code>.</p>
The identifier of the bot that contains the session data.
The alias identifier in use for the bot that contains the session data.
The locale where the session is in use.
The identifier of the session to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}<p>Returns session information for a specified bot, alias, and user.</p> <p>For example, you can use this operation to retrieve session information for a user that has left a long-running session in use.</p> <p>If the bot, alias, or session identifier doesn't exist, Amazon Lex V2 returns a <code>BadRequestException</code>. If the locale doesn't exist or is not enabled for the alias, you receive a <code>BadRequestException</code>.</p>
The identifier of the bot that contains the session data.
The alias identifier in use for the bot that contains the session data.
The locale where the session is in use.
The identifier of the session to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://runtime-v2-lex.{region}.amazonaws.com/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}